# eric3.Wizards.FileDialogWizard.FileDialogWizardDialog

Module implementing the file dialog wizard dialog.

### Classes

FileDialogWizardDialog | Module implementing the color dialog wizard dialog.

### Functions

None

## FileDialogWizardDialog

Module implementing the color dialog wizard dialog. It displays a dialog for entering the parameters for the QFileDialog code generator.

### Derived from

FileDialogWizardForm

### Methods

FileDialogWizardDialog | Constructor
getCode | Public method to get the source code.
testDlg | Private method to test the selected options.

### FileDialogWizardDialog (Constructor)

FileDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### FileDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### FileDialogWizardDialog.testDlg

testDlg()

Private method to test the selected options.

Up